Problèmes liés à l'installation de Oracle Database 11 sur Solaris 11.3

J'essaie d'installer Oracle Database sur Solaris 11.3 et j'obtiens l'erreur suivante:

INFO: /usr/ccs/bin/make -f /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/ins_precomp.mk relink EXENAME=proc INFO: Linking /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/proc INFO: ld: warning: file libucrypto.so.1: required by /usr/lib/sparcv9/libnsl.so, not found INFO: Undefined first referenced symbol in file MD5Init /usr/lib/sparcv9/libnsl.so INFO: MD5Final /usr/lib/sparcv9/libnsl.so INFO: MD5Update /usr/lib/sparcv9/libnsl.so INFO: ld: fatal: symbol referencing errors INFO: make: Fatal error: Command failed for target `/u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/proc' Current working directory /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib INFO: *** Error code 1 The following command caused the error: echo "Linking /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/proc"; \ rm -f /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/proc; \ /usr/ccs/bin/ld -o /u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/proc -L/u01/app/oracle/product/11.2.0/dbhome_1/precomp/lib/ -L/u01/app/oracle/product/11.2.0/dbhome_1/lib/ -dy /u01/app/oracle/product/11.2.0/dbhome_1/lib/prod/lib/v9/crti.o /u01/app/oracle/product/11.2.0/dbhome_1/lib/prod/lib/v9/crt1.o / 

Comme je ne peux pas le dire, libnsl.so n'est pas bien lié à la bibliothèque libucrypto.so.1, c'est la sortie ldd pour la bibliothèque:

 root@hdv-snr-bta-10:~# ldd /usr/lib/sparcv9/libnsl.so libmp.so.2 => /lib/64/libmp.so.2 libucrypto.so.1 => /lib/64/libucrypto.so.1 libc.so.1 => /lib/64/libc.so.1 libelf.so.1 => /lib/64/libelf.so.1 libcryptoutil.so.1 => /lib/64/libcryptoutil.so.1 libz.so.1 => /lib/64/libz.so.1 

Mon operating system est Solaris 11.3 Sparc,

 root@hdv-snr-bta-10:~# uname -a SunOS hdv-snr-bta-10 5.11 11.3 sun4v sparc sun4v 

De l'aide?

il y a un bug dans Oracle Solaris 11.3, donc vous devez download la dernière SRU et l'installer afin de résoudre le problème de binding des bibliothèques.

installez openssl en utilisant ce lien https://www.openssl.org/

et copyr libucrypto dans le lieu de désir. VOTRE PROBLÈME RESOLUERA.